<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" "http://www.wapforum.org/DTD/wml_1.1.xml">
<%@taglib uri="/WEB-INF/jato.tld" prefix="jato"%>
<%@taglib uri="/WEB-INF/auth.tld" prefix="auth"%>
<jato:useViewBean className="com.sun.identity.authentication.UI.LoginViewBean">

<%@ page contentType="text/vnd.wap.wml" %>
<wml>
  <head>
    <meta http-equiv="Cache-Control" content="max-age=0"/>
  </head>

  <card id="config" title="<jato:text name="htmlTitle_Disclaimer"/>">
    <p>
      <auth:resBundle bundleName="amAuthUI" resourceKey="disclaimer.notice" /><br/>
      <auth:resBundle bundleName="amAuthUI" resourceKey="doyou.agree" />
    </p>

    <p>
      <jato:content name="hasButton">
        <jato:tiledView name="tiledButtons"
          type="com.sun.identity.authentication.UI.ButtonTiledView">
          <anchor> 
            <go href="#buttonLogin">
              <setvar name="ButtonLogin" value="<jato:text name="txtButton"/>"/>
            </go>
            <jato:text name="txtButton"/>
          </anchor>
          <br/>
        </jato:tiledView> 
      </jato:content>
      <jato:content name="hasNoButton">
        <anchor> 
          <go href="#buttonLogin">
            <setvar name="ButtonLogin" value="<jato:text name="cmdAgree"/>"/>
          </go>
          <jato:text name="lblAgree"/>
        </anchor>
        <anchor> 
          <go href="#buttonLogin">
            <setvar name="ButtonLogin" value="<jato:text name="cmdDisagree"/>"/>
          </go>
          <jato:text name="lblDisagree"/>
        </anchor>
      </jato:content>
    </p>
  </card>

  <card id="buttonLogin">
    <onevent type="onenterforward">
      <go method="post" href="<jato:getDisplayFieldValue name="DefaultLoginURL" defaultValue="/amserver/UI/Login" fireDisplayEvents="true"/>" >
        <jato:tiledView name="tiledCallbacks"
          type="com.sun.identity.authentication.UI.CallBackTiledView">
          <jato:content name="textBox">
            <postfield name="Login.Token<jato:text name="txtIndex"/>" value="$Token<jato:text name="txtIndex"/>"/>
          </jato:content>
          <jato:content name="password">
            <postfield name="Login.Token<jato:text name="txtIndex"/>" value="$Token<jato:text name="txtIndex"/>"/>
          </jato:content>
          <jato:content name="choice">
            <postfield name="Login.Token<jato:text name="txtIndex"/>" value="$Token<jato:text name="txtIndex"/>"/>
          </jato:content>
        </jato:tiledView>
        <postfield name="Login.ButtonLogin" value="$ButtonLogin"/>
      </go>
    </onevent>
  </card>
</wml>

</jato:useViewBean>
